GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

          • Register with Username Password
          • Register with Email Password
          • Register with Phone Passcode
          • Register with Email Passcode
          • Register
        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. Register

  10. /
  11. Register with Email Password

¶ Email verification code registration

Update time: 2025-07-23 07:34:21
Edit

Use email + password to register.

¶ Request parameters

NameType
Required
Default value
Description
Sample value
emailstrYes-Emailtest@example.com
passwordstrYes-User password, default is not encrypted. GenAuth all API are securely transmitted through the HTTPS protocol, which can guaranteed safety to a certain extent. If you need higher security, we also support RSA256 and SM2 password encryption methods. See optional parameters options.passwordEncryptType.passw0rd
profileSignUpProfileDtoNo-User profile
optionsSignUpOptionsDtoNo-Optional parameters

¶ Sample code

from authing import AuthenticationClient

# Initialize AuthenticationClient
authentication_client = AuthenticationClient(
    # GenAuth App ID
    app_id='GEN_AUTH_APP_ID',

    # GenAuth App Secret
    app_secret='GEN_AUTH_APP_SECRET',

    # GenAuth App Host
    app_host='GEN_AUTH_APP_HOST',

    # GenAuth App Redirect URI
    redirect_uri='GEN_AUTH_APP_REDIRECT_URI',
)

sign_in_resp = authentication_client.sign_up_by_email_password(
    email="188xxxx8888",
    password="passw0rd",
)
print(sign_in_resp)

¶ Request response

Type: UserSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type.
requestIdstringRequest ID. It will be returned when the request fails.
dataUserDtoResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "userId": "6229ffaxxxxxxxxcade3e3d9",
    "createdAt": "2022-07-03T02:20:30.000Z",
    "updatedAt": "2022-07-03T02:20:30.000Z",
    "status": "Activated",
    "externalId": "10010",
    "email": "test@example.com",
    "phone": "188xxxx8888",
    "phoneCountryCode": "+65",
    "username": "bob",
    "name": "John Doe",
    "nickname": "John Doe",
    "photo": "https://files.authing.co/authing-console/default-user-avatar.png",
    "loginsCount": 3,
    "lastLogin": "2022-07-03T02:20:30.000Z",
    "lastIp": "127.0.0.1",
    "gender": "M",
    "emailVerified": true,
    "phoneVerified": true,
    "passwordLastSetAt": "2022-07-03T02:20:30.000Z",
    "birthdate": "2022-06-03",
    "country": "CN",
    "province": "BJ",
    "city": "BJ",
    "address": "Beijing Chaoyang",
    "streetAddress": "Beijing Chaoyang District xxx street",
    "postalCode": "438100",
    "company": "steamory",
    "browser": "Mozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0",
    "device": "iOS",
    "givenName": "John",
    "familyName": "Doe",
    "userSourceType": "register",
    "passwordSecurityLevel": 1,
    "departmentIds": "[\"624d930c3xxxx5c08dd4986e\",\"624d93102xxxx012f33cd2fe\"]",
    "identities": {
      "identityId": "62299d8b866d2dab79a89dc4",
      "extIdpId": "6076bacxxxxxxxxd80d993b5",
      "provider": "wechat",
      "type": "openid",
      "userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
      "originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
    },
    "customData": {
      "school": "xxx",
      "age": 22
    },
    "statusChangedAt": "2022-07-03T02:20:30.000Z"
  }
}

¶ Data structure

¶ SignUpProfileDto

NameType
Required
Description
Sample value
nicknamestringNoNickname
companystringNoCompanyGenAuth .Inc
photostringNoAvatarhttps://www.genauth.ai/demo.jpg
devicestringNoDeviceiOS
browserstringNoBrowserEdge
namestringNoNameMike
givenNamestringNoGiven nameZhou
familyNamestringNoFamily nameJay
middleNamestringNoMiddle nameJane
profilestringNoProfilethis is my profile
preferredUsernamestringNoPreferred usernameMike
websitestringNoWebsitehttps://www.genauth.ai
genderstringNoGender W : Female; M : MaleM
birthdatestringNoBirthdate2020.2.2
zoneinfostringNoZoneinfoHongKong
localestringNoLocaleEN-US
addressstringNoAddressHai Dian XX
formattedstringNoFormatted
streetAddressstringNoStreet addressHai Dian Street 1
localitystringNoLocalityBeiJing HaiDian
regionstringNoRegionchina
postalCodestringNoPostal code3500000
countrystringNoCountrychina
emailstringNoEmailhelp@genauth.ai
phonestringNoPhone114114114
customDataobjectNoCustom data{"name":"H"}

¶ SignUpOptionsDto

NameType
Required
Description
Sample value
clientIpstringNoClient IP192.168.0.1
phonePassCodeForInformationCompletionstringNoSMS verification code for information completion1234
emailPassCodeForInformationCompletionstringNoEmail verification code for information completion1234
contextobjectYesAdditional parameters passed in when logging in/registering, which will be stored in the user's custom fields.{"phoneNumber":"188xxxx8888","phoneCountryCode":"+86"}
passwordEncryptTypestringNoPassword encryption type, supports sm2 and rsa. Default is not encrypted.sm2

¶ UserDto

NameType
Required
Description
Sample value
userIdstringYesUser unique identifier, can be user ID, username, email, phone number, external ID, or ID in external identity source.6229ffaxxxxxxxxcade3e3d9
createdAtstringYesCreation time2022-07-03T02:20:30.000Z
updatedAtstringYesUpdate time2022-07-03T02:20:30.000Z
statusstringYesAccount current statusSuspended
externalIdstringNoThird-party external ID10010
emailstringNoEmail, case insensitivetest@example.com
phonestringNoPhone number, without area code. If it is an international phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
phoneCountryCodestringNoPhone area code, Chinese mainland phone number can be left blank. GenAuth SMS service does not support international phone numbers by default, you need to configure the corresponding international SMS service in the GenAuth console. Complete list of phone area codes can be found at https://en.wikipedia.org/wiki/List_of_country_calling_codes.+86
usernamestringNoUsername, unique in user poolbob
namestringNoUser real name, not uniquexx
nicknamestringNoNicknamexx
photostringNoAvatar linkhttps://files.authing.co/authing-console/default-user-avatar.png
loginsCountnumberNoTotal login times3
lastLoginstringNoLast login time2022-07-03T02:20:30.000Z
lastIpstringNoLast login IP127.0.0.1
genderstringYesGender:
- M: male
- F: female
- U: unknown
M
emailVerifiedbooleanYesEmail verificationtrue
phoneVerifiedbooleanYesPhone number verificationtrue
passwordLastSetAtstringNoUser last password modification time2022-07-03T02:20:30.000Z
birthdatestringNoBirthdate2022-06-03
countrystringNoCountryCN
provincestringNoProvinceBJ
citystringNoCityBJ
addressstringNoAddressBeijing Chaoyang
streetAddressstringNoStreet addressBeijing Chaoyang District xxx street
postalCodestringNoPostal code438100
companystringNoCompanysteamory
browserstringNoBrowserMozilla/5.0 (Linux; Android 10; V2001A; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/87.0.4280.141 Mobile Safari/537.36 VivoBrowser/10.2.10.0
devicestringNoDeviceiOS
givenNamestringNoFirst nameSan
familyNamestringNoLast nameZhang
middleNamestringNoMiddle name
profilestringNoProfile
preferredUsernamestringNoPreferred Username
websitestringNoWebsite
zoneinfostringNoZoneinfo
localestringNoLocale
formattedstringNoFormatted
regionstringNoRegion
userSourceTypestringYesSource type:
- excel: Imported through Excel
- register: User self-registration
- adminCreated: Manual creation by the administrator backend (including creating users using the management API)
- syncTask: Synchronization task of the synchronization center
excel
userSourceIdstringNoApplication ID or synchronization task ID
lastLoginAppstringNoUser last login application ID
mainDepartmentIdstringNoUser main department ID
lastMfaTimestringNoUser last MFA authentication time
passwordSecurityLevelnumberNoUser password security level1
resetPasswordOnNextLoginbooleanNoNext login requires password reset
departmentIdsarrayNoUser department ID list["624d930c3xxxx5c08dd4986e","624d93102xxxx012f33cd2fe"]
identitiesarrayNoExternal identity source Nested types:IdentityDto。
customDataobjectNoUser-defined field{"school":"xxx","age":22}
statusChangedAtstringNoUser status last modified time2022-07-03T02:20:30.000Z

¶ IdentityDto

NameType
Required
Description
Sample value
identityIdstringYesIdentity ID62299d8b866d2dab79a89dc4
extIdpIdstringYesIdentity Connection ID6076bacxxxxxxxxd80d993b5
providerstringyesExternal identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat Work
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: QingCloud
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-based enterprise identity source
- oauth2: OAuth2-based enterprise identity source
- saml: SAML-based enterprise identity source
- ldap: LDAP-based enterprise identity source
- ad: AD-based enterprise identity source
- cas: CAS-based enterprise identity source
- azure-ad: Azure AD-based enterprise identity source
oidc
typestringyesIdentity type, such as unionid, openid, primaryopenid
userIdInIdpstringYesID in external identity sourceoj7Nq05R-RRaqak0_YlMLnnIwsvg
originConnIdsarrayYesIdentity source connection ID list["605492ac41xxxxe0362f0707"]
Previous article: Register with Username Password Next article: Register with Phone Passcode
  • Request parameters
  • Sample code
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.